#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF6
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:           kaddressbook
Epoch:          2
Version: 24.12.1
Release:        %mkrel %{rel}
Summary:        Address Book application to manage your contacts
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6PrintSupport)

# Find KF6 package
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6DocTools)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6LdapCore)
BuildRequires:  cmake(KPim6PimCommonAkonadi) >= 6.2.80
BuildRequires:  cmake(KPim6PimCommonActivities)
BuildRequires:  cmake(KPim6AkonadiSearch)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KF6CalendarCore)

BuildRequires:  cmake(KF6UserFeedback)

%ifarch aarch64 x86_64
Requires:       akonadi-kde
%endif
Requires:       kio6-ldap

Recommends:     %{name}-handbook


%description
KAddressBook stores all the personal details of your family, friends and other
contacts.

Features:
    - Imports and exports to nearly every address book standard
    - Reads .vcf format files, and can import and export vCards and csv format
      files
    - Can use multiple LDAPservers
    - Configurable filters and powerful search capabilities
    - Integrates with other Kontact components, e.g. exporting Birthday
      reminders to KOrganizer
    - Capable of groupware integration
    - Powered by Akonadi

%files -f %name.lang
%_kf6_categoriesdir/kaddressbook.*categories
%_kf6_bindir/kaddressbook
%_kf6_datadir/kaddressbook
%_kf6_metainfodir/org.kde.kaddressbook.appdata.xml
%_kf6_applicationsdir/kaddressbook-importer.desktop
%_kf6_applicationsdir/kaddressbook-view.desktop
%_kf6_applicationsdir/org.kde.kaddressbook.desktop
%_qt6_plugindir/kaddressbookpart.so
%_qt6_plugindir/pim6/kcms/kaddressbook/
# Kontact integration
%_qt6_plugindir/pim6/kontact/kontact_kaddressbookplugin.so
%_kf6_iconsdir/hicolor/*/*/kaddressbook.*

#--------------------------------------------------------------------

%define addressbookprivate_major 6
%define libkaddressbookprivate %mklibname kaddressbookprivate %addressbookprivate_major

%package -n %libkaddressbookprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkaddressbookprivate
KDEPIM library.

%files -n %libkaddressbookprivate
%_kf6_libdir/libkaddressbookprivate.so.%{addressbookprivate_major}{,.*}

#--------------------------------------------------------------------

%define addressbookimportexport_major 6
%define libkpimaddressbookimportexport %mklibname kpim6addressbookimportexport %{addressbookimportexport_major}

%package -n %libkpimaddressbookimportexport
Summary:        This module contains mail-related KPim Addressbook Import Export libraries
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimaddressbookimportexport
This module contains mail-related KPim Addressbook Import Export libraries.

%files -n %libkpimaddressbookimportexport
%_kf6_libdir/libKPim6AddressbookImportExport.so.%{addressbookimportexport_major}{,.*}

#--------------------------------------------------------------------

%define kpimaddressbookimportexport_devel %mklibname kpim6addressbookimportexport -d

%package -n %kpimaddressbookimportexport_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimaddressbookimportexport = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

# it replace now kdepim-apps-libs pkg
Provides:       kdepim-apps-libs-devel = %epoch:%{version}-%{release}

%description -n %kpimaddressbookimportexport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpimaddressbookimportexport_devel
%_includedir/KPim6/KAddressBookImportExport/
%_kf6_libdir/libKPim6AddressbookImportExport.so
%_kf6_libdir/cmake/KPim6AddressbookImportExport/

#--------------------------------------------------------------------

%package handbook
Summary:        Kaddressbook Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides Kaddressbook handbook.

%files handbook
%license LICENSES/*.txt
%_kf6_docdir/HTML/*/kaddressbook/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Thu Jan 09 2025 daviddavid <daviddavid> 2:24.12.1-1.mga10
+ Revision: 2136499
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 2:24.12.0-1.mga10
+ Revision: 2123738
- New version 24.12.0

* Tue Nov 19 2024 daviddavid <daviddavid> 2:24.11.80-2.mga10
+ Revision: 2117691
- enable new KPim6PimCommonActivities support

* Sun Nov 17 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2116295
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2113985
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105484
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097343
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087546
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085032
- New version 24.07.90

* Sat Jun 15 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2074322
- New version 24.05.1

* Mon Jun 10 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2072320
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058550
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2046551
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037594
- New version 24.01.95

* Mon Feb 05 2024 daviddavid <daviddavid> 2:24.01.90-2.mga10
+ Revision: 2037263
- akonadi-kde is only available on 64bits platform

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033722
- New version 24.01.90

* Thu Jan 04 2024 daviddavid <daviddavid> 2:24.01.85-2.mga10
+ Revision: 2027400
- enable KUserFeedback support

* Mon Jan 01 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2025068
- New version 24.01.85

* Tue Nov 21 2023 neoclust <neoclust> 2:24.01.75-1.mga10
+ Revision: 2008543
- New version 24.01.75

* Sat Sep 30 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1992289
- New version 23.08.1

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959387
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946435
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941729
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922848
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911340
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905195
- New version 22.08.3

* Fri Sep 16 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1889348
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883182
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873011
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853905
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852355
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1765678
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724002
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718293
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698490
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694029
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1657254
- New version 20.12.0

* Wed Nov 11 2020 joequant <joequant> 2:20.08.3-2.mga8
+ Revision: 1644561
- rebuild with new qca-qt5
+ neoclust <neoclust>
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633743
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626995
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617354
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604059
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596791
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584442
- New version 20.04.1

* Sun Apr 19 2020 daviddavid <daviddavid> 2:20.04.0-2.mga8
+ Revision: 1569707
- enable KUserFeedback support

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568073
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559263
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540902
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513233
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Tue Dec 17 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1468485
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457837
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447789
- New version 19.08.1

* Thu Aug 01 2019 daviddavid <daviddavid> 2:19.04.3-2.mga8
+ Revision: 1426637
- fix library pkg name

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424930
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390385
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387589
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381981
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375469
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365504
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356440
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339453
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332684
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327337
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298418
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228892
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201834
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194858
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191050
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142979
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136716
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-3.mga7
+ Revision: 1133482
- Fix for new find_lang
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131723
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090015
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076750
- New version 16.12.0

* Sun Dec 11 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074277
- imported package kaddressbook

